HackDig : Dig high-quality web security articles for hacker

D-Link Patches Flaws in IP Cameras, Wireless Range Extenders

2015-03-17 19:05

D-Link has released firmware updates to address serious security holes affecting the company’s DCS-93xL IP cameras and the DAP-1320 wireless range extender.

According to an advisory published by the CERT Coordination Center at Carnegie Mellon University, Tangible Security researchers discovered a high-severity unrestricted file upload vulnerability (

CVE-2015-2049

) in the D-Link DCS-93xL family of network cameras.

The flaw affects firmware version 1.04 and possibly other versions. The camera models that run the vulnerable firmware are DCS-931L, DCS-930L, DCS-932L, and DCS-933L.

A remote, authenticated attacker can exploit the vulnerability to upload arbitrary files to a specified location on the device. The flaw can be leveraged to create, modify or delete data, and possibly even execute arbitrary code, CERT said.

The same Tangible Security researchers also identified a command injection vulnerability (

CVE-2015-2050

) in the firmware update mechanism of D-Link DAP-1320 wireless range extenders.

“The D-Link DAP-1320 Rev Ax firmware version 1.11 (released 22 Dec 2013) has been shown to be vulnerable. Other firmware versions prior to version 1.21b05 may also be vulnerable,” CERT noted in a separate advisory.

A remote, unauthenticated attacker can exploit the firmware update mechanism bug to execute arbitrary commands on the device. However, the attack only works if network communications can be intercepted and manipulated, CERT said.

The security hole affecting D-Link DAP-1320 has been addressed with the release of firmware version 1.21b05. As for the network cameras, the issue is fixed in the recently released version 1.10 (Rev A) and version 2.01 (Rev B) of the firmware.

D-Link’s own security advisories, which might contain additional details on the bugs, are currently undergoing approval, but the company advises users to update the firmware on their devices.

Earlier this month, D-Link released firmware updates to address multiple vulnerabilities affecting several DIR routers. The flaws, related to the ncc/ncc2 service, could have been exploited to hijack DNS configurations, inject arbitrary commands, and gain access to sensitive information.


Source: -sseleriw-saremac-pi-swalf-sehctap-knil-d/w_4XLmdBl2v/3~/keewytiruceS/r~/moc.elgoog.yxorpdeef

Read:881 | Comments:0 | Tags:NEWS & INDUSTRY Vulnerabilities

“D-Link Patches Flaws in IP Cameras, Wireless Range Extenders”0 Comments

Submit A Comment

Name:

Email:

Blog :

Verification Code:

Announce

Share high-quality web security related articles with you:)

Tools

Tag Cloud